import qbs

Project {
    CppApplication {
        Depends { name: "foo" }

        name: "app"
        files: ["main.cpp"]
        consoleApplication: true

        Group {
            fileTagsFilter: ["application"]
            qbs.install: true
            qbs.installDir: "bin"
        }

        Properties {
            condition: qbs.targetOS.contains("darwin")
            cpp.rpaths: base.concat(["@loader_path/../lib"])
        }

        Properties {
            condition: qbs.targetOS.contains("linux")
            cpp.rpaths: base.concat(["$ORIGIN/../lib"])
        }
    }

    DynamicLibrary {
        Depends { name: "cpp" }

        name: "foo"
        files: ["lib.cpp", "lib.h"]

        cpp.installNamePrefix: "@rpath"
        bundle.isBundle: false

        Group {
            fileTagsFilter: ["dynamiclibrary", "dynamiclibrary_symlink"]
            qbs.install: true
            qbs.installDir: "lib"
        }

        Export {
            Depends { name: "cpp" }
            cpp.includePaths: base.concat(["."])
        }
    }
}